package com.gic.haoban.manage.service.util;

import com.gic.enterprise.api.enums.PlatformChannelEnum;
import com.gic.orderecommerce.api.constant.OrderChannelEnum;
import com.google.common.collect.Lists;

import java.util.List;

public class OrderCheckUtil {

    private static final List<Integer> DEAL_ORDER_TYPE_LIST = Lists.newArrayList(
            OrderChannelEnum.WEIMOB.getSort(),
            OrderChannelEnum.BRAND_MALL.getSort());

    /**
     * 销售线索是否需要处理订单类型
     * @param orderType
     * @return
     */
    public static boolean checkOrderType(Integer orderType) {
        return DEAL_ORDER_TYPE_LIST.contains(orderType);
    }

}